
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Summary: A screen manager that supports multiple logins on one terminal
Name: screen
Version: 4.6.1
%if %{p7build}
Release: 1.p7
%else
Release: 1
%endif
License: GPL2
Group: Applications/System
URL: http://www.gnu.org/software/screen
Source0: ftp://ftp.gnu.org/gnu/screen/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/screen/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: texinfo, info, make, tar
Requires: /sbin/install-info, info

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
The screen utility allows you to have multiple logins on just one
terminal. Screen is useful for users who telnet into a machine or are
connected via a dumb terminal, but want to use more than just one
login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0


%build
export PATH=/opt/freeware/bin:$PATH

export CC="gcc"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --disable-pam \
    --enable-use-locale \
    --enable-telnet \
    --enable-colors256 \
    --enable-rxvt_osc \
    --with-sys-screenrc=/etc/screenrc

echo "#define NEEDPUTENV" >> config.h

make %{?_smp_mflags}


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc
cp etc/etcscreenrc ${RPM_BUILD_ROOT}/etc/screenrc
chmod 0644 ${RPM_BUILD_ROOT}/etc/*

mkdir -p ${RPM_BUILD_ROOT}/etc/skel
cp etc/screenrc ${RPM_BUILD_ROOT}/etc/skel/.screenrc
chmod 0644 ${RPM_BUILD_ROOT}/etc/skel/.screenrc

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir --entry="* screen: (screen).             Terminal multiplexer."

if [ -d /tmp/screens ]; then
    chmod 777 /tmp/screens
fi


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir --entry="* screen: (screen).             Terminal multiplexer."
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc NEWS README doc/FAQ doc/README.DOTSCREEN
%attr(4755,root,system) %{_bindir}/%{name}-%{version}
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*info*
%{_datadir}/%{name}
%config(noreplace) /etc/screenrc
%config(noreplace) /etc/skel/.screenrc
/usr/bin/*


%changelog
* Tue Jul 11 2017 Michael Perzl <michael@perzl.org> - 4.6.1-1
- updated to version 4.6.1

* Thu Jun 29 2017 Michael Perzl <michael@perzl.org> - 4.6.0-1
- updated to version 4.6.0

* Sat Feb 25 2017 Michael Perzl <michael@perzl.org> - 4.5.1-1
- updated to version 4.5.1

* Wed Jan 18 2017 Michael Perzl <michael@perzl.org> - 4.5.0-1
- updated to version 4.5.0

* Tue Jun 21 2016 Michael Perzl <michael@perzl.org> - 4.4.0-1
- updated to version 4.4.0

* Mon Jun 29 2015 Michael Perzl <michael@perzl.org> - 4.3.1-1
- updated to version 4.3.1

* Sat Jun 13 2015 Michael Perzl <michael@perzl.org> - 4.3.0-1
- updated to version 4.3.0

* Tue Sep 02 2014 Michael Perzl <michael@perzl.org> - 4.2.1-2
- added the patch from Gabriel Vlasiu to fix the "Bad tty" error

* Tue Apr 29 2014 Michael Perzl <michael@perzl.org> - 4.2.1-1
- updated to version 4.2.1

* Fri Mar 14 2008 Michael Perzl <michael@perzl.org> - 4.0.3-1
- first version for AIX V5.1 and higher
